Check-in [298047627a]
Not logged in

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview

SHA1 Hash:298047627ae8b394b329fe1de959c1aba6500df7
Date: 2012-07-02 02:48:37
User: BarryK
Comment:this is the woof used to build puppy for raspberry pi alpha2 (v5.96)

Tags And Properties
Changes

Changes to woof-code/3builddistro

@@ -2657,14 +2657,15 @@
 
  #need to know uncompressed size of image...
  echo "Uncompressing image, please wait..."
  cp -f ../sd-skeleton-images/${SDIMAGE} ./${SDIMAGE}
  sync
+ SDBASE="`basename $SDIMAGE .xz`"
+ [ -f ./${SDBASE} ] && rm -f ./${SDBASE}
  unxz ${SDIMAGE}
  if [ $? -ne 0 ];then
   [ -f ./$SDIMAGE ] && rm -f ./$SDIMAGE
-  SDBASE="`basename $SDIMAGE .xz`"
   [ -f ./$SDBASE ] && rm -f ./$SDBASE
   echo "Uncompress fail. Aborting."
   exit 1
  fi
  sync
@@ -2732,10 +2733,11 @@
  sync
  echo "...done. The image file is named '${PUPIMG}'"
  echo
  echo "However, it is ${IMGK}KB, so needs to be compressed for distribution."
  echo "Compressing, please wait..."
+ rm -f ${PUPIMG}.xz
  xz $PUPIMG
  sync
  #update desktop drive icons. note, this is also done in /usr/sbin/bootflash, puppyinstaller, gparted_shell...
  #/tmp/pup_event_frontend_block_request is used in /sbin/pup_event_frontend_d to refresh drv...
  THEDRIVE="`echo -n "$SDDEVICE" | cut -f 3 -d '/'`"

Deleted woof-code/packages-templates/xorg_base_76new/etc/X11/xorg.conf-auto-pc

Changes to woof-code/packages-templates/xorg_base_76new/etc/X11/xorg.conf-auto-pcWKS1


Changes to woof-code/rootfs-skeleton/etc/X11/xorg.conf-auto-pc

@@ -144,12 +144,12 @@
 
 Section "Screen"
 	Identifier "Screen0"
 #	Device     "Card0"
 	Monitor    "Monitor0"
-	DefaultDepth 24
+	DefaultDepth 16
 	#Option         "metamodes" "1280x800_60 +0+0" #METAMODES_0
 	Subsection "Display"
-		Depth       24
+		Depth       16
 #		Modes       "1024x768" #screen0modes
 	EndSubsection
 EndSection

Changes to woof-code/rootfs-skeleton/usr/sbin/quicksetup

@@ -1055,11 +1055,11 @@
 Nota: Prima di scaricare il pacchetto di lingua, si dovrà effettuare una connessione a Internet e utilizzare l'Amministratore di Pacchetti (Puppy Package Manager) in lingua inglese. Se pensi che non puoi leggere l'inglese a sufficienza, un'alternativa è quella di eseguire un altro sistema operativo, andare a http://distro.ibiblio.org/quirky/pet_packages-noarch e scaricare il pacchetto di lingua. Poi, avvia Puppy, clicca sull'icona di partizione sul desktop per montare la partizione (dove ai scaricato il pacchetto di lingua), quindi clicca sul PET del pacchetto di lingua per installarlo."
        AVAILMSG2="Pacchetti di lingua ufficiali sono disponibili nel repository \Zbnoarch\ZB, ma non ce n'è uno per tua lingua. Forse ce n'è uno in fase di sviluppo nel Forum Puppy (attenzione, alcune vecchie versioni di Puppy hanno pacchetti di lingua incompatibili). O, forse potrebbe volontari per aiutare e creare un pacchetto di lingua -- fare clic sul Menu -> Help -> HOWTO Internationalization (ovviamente hai bisogno di una buona conoscenza della lingua inglese)."
        AVAILTITLE="È necessario un pacchetto di lingua"
        AVAILMSG3="La lingua sarà cambiata in ${LANGCHOICE}, però hai bisogno d'installare un pacchetto di lingua per tradurre Puppy nella tua lingua. Hai bisogno di un pacchetto PET chiamato \Zblangpack_${LANG12}\ZB o \Zblangpack_${LANG1}\ZB. Non abbiamo ancora automatizzato questa azione, quindi dovrete scaricare e installare il pacchetto. Puoi fare ne in qualsiasi momento in futuro. Pacchetti di lingua ufficialmente supportati sono disponibili eseguendo l'Amministratori di Pacchetti (Puppy Package Manager) (clicca l'icona \Zbinstallare\ZB sul desktop), nel repository \Zbnoarch\ZB."
       ;;
-      nl*) #Netherlands (Dutch), FlyingDutchman
+      nl*) #Netherlands (Dutch), FlyingDutchman 120701 fix...
        AVAILMSG1="Er is een geschikt \Zb${AVAILPACK}\ZB pakket in de \Zbnoarch\ZB PET repository, in de \ZbSetup\ZB categorie. Klik op het \Zbinstall\ZB pictogram op het bureaublad om de Puppy Package Manager te starten en kies vervolgens de repository en categorie.
 Opmerking: Voor het downloaden van het taalpakket is een werkende internetverbinding nodig. Tevens moet de Puppy Package Manager in het Engels worden gebruikt. Als u Engels hiervoor onvoldoende beheerst is het ook mogelijk om vanuit een ander besturingssysteem naar http://distro.ibiblio.org/quirky/pet_packages-noarch te gaan en het taalpakket (langpack_nl) te downloaden. Start daarna Puppy op, klik op het pictogram van de partitie waarop het taalpakket is opgeslagen en klik vervolgens op de taalpakket PET om het te installeren."
        AVAILMSG2="Er zijn officiële taalpakketten beschikbaar in de \Zbnoarch\ZB repository maar helaas is er geen taalpakket gevonden voor uw taal. Wellicht wordt er aan een vertaling gewerkt in het Puppy Forum (pas op, sommige oudere Puppy versies gebruiken taalpakketten die niet uitwisselbaar zijn). Of misschien wilt u helpen bij het creëren van een taalpakket -- Klik Menu -> Help -> HOWTO Internationalization (U hebt hiervoor uiteraard een goede kennis van het Engels voor nodig)."
        AVAILTITLE="Taalpakket nodig"
        AVAILMSG3="De standaard taal wordt gewijzigd naar ${LANGCHOICE}, maar u moet een taalpakket installeren om Puppy in uw taal te vertalen. U hebt daarvoor een PET pakket nodig met de naam \Zblangpack_${LANG12}\ZB of \Zblangpack_${LANG1}\ZB. We hebben dit nog niet geautomatiseerd dus u zult dit zelf moeten downloaden en installeren. U kunt dit op elk gewenst moment doen. Officeel ondersteunde taalpakketten zijn beschikbaar door het de Puppy Package Manager te starten (klik op het \Zbinstall\ZB pictogram op het bureaublad), in de \Zbnoarch\ZB repository."

Changes to woof-distro/Packages-puppy-noarch-official

@@ -16,11 +16,11 @@
 desk_icon_theme_original-1|desk_icon_theme_original|1||Desktop|252K||desk_icon_theme_original-1.pet||desktop and menu icons||||
 desk_icon_theme_silver_marble-1|desk_icon_theme_silver_marble|1||Desktop|304K||desk_icon_theme_silver_marble-1.pet||desktop icons||||
 desk_icon_theme_smooth_color-1|desk_icon_theme_smooth_color|1||Desktop|276K||desk_icon_theme_smooth_color-1.pet||desktop and menu icons||||
 desk_icon_theme_stardust-2|desk_icon_theme_stardust|2||Desktop|292K||desk_icon_theme_stardust-2.pet||desktop and menu icons||||
 desk_icon_theme_stark042-1|desk_icon_theme_stark042|1||Desktop|492K||desk_icon_theme_stark042-1.pet|+gtk+|black-white-orange line-art style icons, based on area042 icons||||
-ffconvert-1.2.9|ffconvert|1.2.9||Multimedia|360K||ffconvert-1.2.9.pet|+ffmpeg|FFConvert multimedia converter||||
+ffconvert-1.3|ffconvert|1.3||Multimedia|368K||ffconvert-1.3.pet|+ffmpeg|FFConvert multimedia converter||||
 ffconvert_NLS-1.2.1|ffconvert_NLS|1.2.1||Multimedia|304K||ffconvert_NLS-1.2.1.pet|ffconvert|FFConvert multimedia converter||||
 getflash-1.0|getflash|1.0||Internet|52K||getflash-1.0.pet||GetFlash Install Flashplayer||||
 gtk_theme_citrus_cut-1.2|gtk_theme_citrus_cut|1.2||Desktop|172K||gtk_theme_citrus_cut-1.2.pet|+gtk+|gtk2 orangy theme||||
 gtk_theme_delicate_blue-1|gtk_theme_delicate_blue|1||Desktop|48K||gtk_theme_delicate_blue-1.pet|+gtk+|gtk theme, light blue/grey, graduated blue buttons||||
 gtk_theme_fishing_the_sky-0.4|gtk_theme_fishing_the_sky|0.4||Desktop|116K||gtk_theme_fishing_the_sky-0.4.pet|+gtk+|gtk theme, small grey||||
@@ -56,25 +56,25 @@
 mscw-2|mscw|2||Setup|36K||mscw-2.pet|+alsa-lib,+gtkdialog3|Multiple Sound Card Wizard||||
 net_setup-20111016|net_setup|20111016||Setup|352K||net_setup-20111016.pet|+gtkdialog3|Network Wizard||||
 partview-2.2-2|partview|2.2-2||Filesystem|40K||partview-2.2-2.pet||Partview free space in drives||||
 pawdioconverter-1.2|pawdioconverter|1.2||Multimedia|208K||pawdioconverter-1.2.pet|+gtkdialog3,+sox|PawdioConverter audio conversion||||
 pbackup-3.1.9|pbackup|3.1.9||Utility|240K||pbackup-3.1.9.pet|+xdialog,+gtkdialog3,+dvd+rwtools,+cdrkit,+curl|Pbackup Backup and Sync||||
-pburn-3.6.0|pburn|3.6.0||Multimedia|372K||pburn-3.6.0.pet|+gtkdialog,+core-utils,+cdrkit,+dvd+rw-tools,+ffmpeg,+pfilesearch,+dvdauthor,+vobcopy,+vamps,+vcdimager,+normalize,|Pburn CD/DVD/Blu-ray writer|||official|
+pburn-3.6.1|pburn|3.6.1||Multimedia|372K||pburn-3.6.1.pet|+gtkdialog,+core-utils,+cdrkit,+dvd+rw-tools,+ffmpeg,+pfilesearch,+dvdauthor,+vobcopy,+vamps,+vcdimager,+normalize,|Pburn CD/DVD/Blu-ray writer||||
 pcd-1.5|pcd|1.5||Multimedia|72K||pcd-1.5.pet|+gtkdialog3,+cdrkit|pCD CD-audio player||||
 pcdripper-3.9.3|pcdripper|3.9.3||Multimedia|96K||pcdripper-3.9.3.pet|+xdialog,+gtkdialog3,+cdrkit|Audio CD song ripper||||
 pctorrent-1.4|pctorrent|1.4||Internet|64K||pctorrent-1.4.pet|+ctorrent,+gtkdialog3|torrent client gui||||
 pdvdrsab-0.1|pdvdrsab|0.1||Multimedia|52K||pdvdrsab-0.1.pet|+gtkdialog3,+dvdauthor,+vobcopy,+vamps,+ffmpeg|dvd rip,shrink,author,burn||||
 peasypdf-1.4|peasypdf|1.4||Document|52K||peasypdf-1.4.pet||Build multi-page PDF documents||||
 peasyprint-1.8|peasyprint|1.8||Graphic|60K||peasyprint-1.8.pet|+gphotofs,+gtkdialog3|PeasyPrint graphic/photo printing||||
-pfilesearch-1.28|pfilesearch|1.28||BuildingBlock|84K||pfilesearch-1.28.pet|+gtkdialog|needed by pburn, pfind||||
-pfind-4.24|pfind|4.24||Filesystem|188K||pfind-4.24.pet|+gtkdialog3,+pfilesearch|Pfind file finder||||
+pfilesearch-1.30|pfilesearch|1.30||BuildingBlock|104K||pfilesearch-1.30.pet|+gtkdialog4|file finder engine|||official|
+pfind-5.0|pfind|5.0||Filesystem|176K||pfind-5.0.pet|+gtkdialog4,+pfilesearch,|Pfind file finder|||official|
 phash-2|phash|2||Desktop|24K||phash-2.pet|+rox_filer|adds to rox right-click menu, calc md5sum/sha1sum of a file||||
 pmetatagger-2.1|pmetatagger|2.1||Multimedia|80K||pmetatagger-2.1.pet|+gtkdialog3,+id3lib,+vorbis-tools|audio file tag editor||||
 pmirror-0.5|pmirror|0.5||Utility|44K||pmirror-0.5.pet|+gtkdialog3,+mirdir|Pmirror backup a directory||||
 pmirrorget-0.1.1|pmirrorget|0.1.1||Internet|28K||pmirrorget-0.1.1.pet|+gtkdialog3|Website File Grabber||||
 pmusic1-1.8.3-1|pmusic1|1.8.3-1||Multimedia|424K||pmusic1-1.8.3-1.pet|+gtkdialog3,+ffmpeg|Pmusic audio player, old version, works with gtkdialog3 in some less-recent puppies||||
-pmusic-2.6.2-1|pmusic|2.6.2-1||Multimedia|784K||pmusic-2.6.2-1.pet|+gtkdialog4,+ffmpeg,+cdrkit,+wget,+pschedule,+pburn,+streamripper,+pfilesearch|-player -manager -grabber|||official|
+pmusic-2.6.3|pmusic|2.6.3||Multimedia|784K||pmusic-2.6.3.pet|+gtkdialog4,+ffmpeg,+cdrkit,+wget,+pschedule,+pburn,+streamripper,+pfilesearch|music -player -manager -grabber||||
 pmusic_index_radio-2011.06.26-1|pmusic_index_radio|2011.06.26-1||Multimedia|544K||pmusic_index_radio-2011.06.26-1.pet|+pmusic|Pmusic radio index||||
 pnethood-0.6.8-2|pnethood|0.6.8-2||Network|100K||pnethood-0.6.8-2.pet|+nbtscan,+mountcifs,+gtkdialog4,+samba_client|connect to samba shares||||
 pplog-1.1.3|pplog|1.1.3||Personal|188K||pplog-1.1.3.pet|+perl_tiny,+httpd|PPLOG personal blog, forked from the official 1.1.2 pplog project||||
 pprocess-2.2.4-1|pprocess|2.2.4-1||System|60K||pprocess-2.2.4-1.pet|+gtkdialog4|Pprocess process manager||||
 precord-7.0.1|precord|7.0.1||Multimedia|88K||precord-7.0.1.pet|+ffmpeg,+gtkdialog3,+vorbis-tools,+lame,+alsa-utils|Precord mp3 recorder/player||||

Changes to woof-distro/arm/Packages-puppy-armv6-official

@@ -66,13 +66,14 @@
 gnet_DOC-2.0.8-armv6|gnet_DOC|2.0.8-armv6||BuildingBlock|680K||gnet_DOC-2.0.8-armv6.pet||needed by surfer browser||||
 gnome-menus-2.24.2-armv6|gnome-menus|2.24.2-armv6||BuildingBlock|328K||gnome-menus-2.24.2-armv6.pet||needed by xdg_puppy at compiled-time, not needed at runtime|puppy|||
 gnome-menus_DEV-2.24.2-armv6|gnome-menus_DEV|2.24.2-armv6||BuildingBlock|396K||gnome-menus_DEV-2.24.2-armv6.pet|+gnome-menus|needed by xdg_puppy at compile-time, not needed at runtime|puppy|||
 gnome-menus_NLS-2.24.2-armv6|gnome-menus_NLS|2.24.2-armv6||BuildingBlock|1384K||gnome-menus_NLS-2.24.2-armv6.pet|+gnome-menus|needed by xdg_puppy at compile-time, not needed at runtime||||
 gpptp-0.2-armv6|gpptp|0.2-armv6||Network|40K||gpptp-0.2-armv6.pet|+pptp,+gtk+|PPTP VPN client gui, modified by jafadmin (see puppy forum)|puppy|||
-gtkdialog3-0.7.20-pe-1-armv6|gtkdialog3|0.7.20-pe-1-armv6||BuildingBlock|164K||gtkdialog3-0.7.20-pe-1-armv6.pet|+gtk+|gui for shell scripts, older version, may be installed alongside gtkdialog4|puppy|||
-gtkdialog4-0.8.0-armv6|gtkdialog4|0.8.0-armv6||BuildingBlock|196K||gtkdialog4-0.8.0-armv6.pet|+gtk+|gui for shell scripts|puppy|||
-gtkdialog4_DOC-0.8.0-armv6|gtkdialog4_DOC|0.8.0-armv6||BuildingBlock|648K||gtkdialog4_DOC-0.8.0-armv6.pet||gui for shell scripts||||
+gtkdialog3-0.7.20-patched_pe1_arm-sap6|gtkdialog3|0.7.20-patched_pe1_arm-sap6||BuildingBlock|164K||gtkdialog3-0.7.20-patched_pe1_arm-sap6.pet|+gtk+|gui for shell scripts, older version, may be installed alongside gtkdialog4|debian|squeeze||
+gtkdialog3_DOC-0.7.20-patched_pe1_arm-sap6|gtkdialog3_DOC|0.7.20-patched_pe1_arm-sap6||BuildingBlock|164K||gtkdialog3_DOC-0.7.20-patched_pe1_arm-sap6.pet|+gtk+|gui for shell scripts, older version, may be installed alongside gtkdialog4||||
+gtkdialog4-0.8.0-patched_arm-sap6|gtkdialog4|0.8.0-patched_arm-sap6||BuildingBlock|196K||gtkdialog4-0.8.0-patched_arm-sap6.pet|+gtk+|gui for shell scripts|debian|squeeze||
+gtkdialog4_DOC-0.8.0-patched_arm-sap6|gtkdialog4_DOC|0.8.0-patched_arm-sap6||BuildingBlock|648K||gtkdialog4_DOC-0.8.0-patched_arm-sap6.pet||gui for shell scripts||||
 guess_fs-20090512-static-armv6|guess_fs|20090512-static-armv6||BuildingBlock|52K||guess_fs-20090512-static-armv6.pet||determine filesystem of a partition||||
 gwhere-0.2.3-patched_4-armv6|gwhere|0.2.3-patched_4-armv6||Filesystem|688K||gwhere-0.2.3-patched_4-armv6.pet|+gtk+|disk cataloger|puppy|||
 gwhere_DEV-0.2.3-patched_4-armv6|gwhere_DEV|0.2.3-patched_4-armv6||Filesystem|3036K||gwhere_DEV-0.2.3-patched_4-armv6.pet|+gwhere|disk cataloger|puppy|||
 gwhere_DOC-0.2.3-patched_4-armv6|gwhere_DOC|0.2.3-patched_4-armv6||Filesystem|20K||gwhere_DOC-0.2.3-patched_4-armv6.pet||disk cataloger||||
 gwhere_NLS-0.2.3-patched_4-armv6|gwhere_NLS|0.2.3-patched_4-armv6||Filesystem|656K||gwhere_NLS-0.2.3-patched_4-armv6.pet|+gwhere|disk cataloger||||
@@ -136,10 +137,11 @@
 links-2.7pre1-gap6|links|2.7pre1-gap6||Internet|2640K||links-2.7pre1-gap6.pet||Links web browser|gentoo|gap6||
 linux_headers-2.6.35.14|linux_headers|2.6.35.14||BuildingBlock|4264K||linux_headers-2.6.35.14.pet||linux header files||||
 linux_headers-3.1.9-raspi-27jun2012|linux_headers|3.1.9-raspi-27jun2012||BuildingBlock|4560K||linux_headers-3.1.9-raspi-27jun2012.pet|+linux_kernel&ge3.1.9|header files for the 3.1.9 linux kernel|debian|squeeze||
 linux_kernel-2.6.35.14-armv6-raspi|linux_kernel|2.6.35.14-armv6-raspi||BuildingBlock|10840K||linux_kernel-2.6.35.14-armv6-raspi.pet||kernel compiled for RaspberryPi armv6 board, with loglevel, usb, unionfs, and raspi patches, compiled with gcc 4.5.1|debian|squeeze||
 linux_kernel-3.1.9-armv6-raspi-19apr2012|linux_kernel|3.1.9-armv6-raspi-19apr2012||BuildingBlock|18688K||linux_kernel-3.1.9-armv6-raspi-19apr2012.pet||Linux kernel for Raspberry Pi. Compiled 19 April 2012. Notice: linux_kernel PETs are for use by Woof developers only, not to be installed by end users||||
+linux_kernel-3.1.9-sap6-raspi-27jun2012|linux_kernel|3.1.9-sap6-raspi-27jun2012||BuildingBlock|18688K||linux_kernel-3.1.9-sap6-raspi-27jun2012.pet||Linux kernel for Raspberry Pi. Compiled 27 june 2012. Notice: linux_kernel PETs are for use by Woof developers only, not to be installed by end users|debian|squeeze||
 mingetty-1.08-armv6|mingetty|1.08-armv6||BuildingBlock|20K||mingetty-1.08-armv6.pet||small getty replacement, features autologin|puppy|||
 mingetty_DOC-1.08-armv6|mingetty_DOC|1.08-armv6||BuildingBlock|24K||mingetty_DOC-1.08-armv6.pet||small getty replacement, features autologin||||
 minixcal-1.1.1-armv6|minixcal|1.1.1-armv6||Desktop|8K||minixcal-1.1.1-armv6.pet|+gtk+|enhanced clock applet for tray|puppy|||
 modem_stats-1.0.1-armv6|modem_stats|1.0.1-armv6||BuildingBlock|6K||modem_stats-1.0.1-armv6.pet||send commands to a modem|gentoo|gap6||
 mp-3.2.13-armv6|mp|3.2.13-armv6||Document|196K||mp-3.2.13-armv6.pet||MP console editor|puppy|||

Changes to woof-distro/arm/Packages-puppy-armv7-official

@@ -31,13 +31,10 @@
 gifsicle_DOC-1.40-armv7|gifsicle_DOC|1.40-armv7||Graphic|56K||gifsicle_DOC-1.40-armv7.pet||console utilities to create/edit gif images||||
 glipper-0.89-armv7|glipper|0.89-armv7||Desktop|44K||glipper-0.89-armv7.pet|+gtk+|clipboard manager for traybar||||
 glipper_NLS-0.89-armv7|glipper_NLS|0.89-armv7||Desktop|52K||glipper_NLS-0.89-armv7.pet|+glipper|Tray clipboard manager||||
 gmeasures-0.7-armv7|gmeasures|0.7-armv7||Business|88K||gmeasures-0.7-armv7.pet|+gtk+|weights and measures converter||||
 gpptp-0.2-armv7|gpptp|0.2-armv7||Network|40K||gpptp-0.2-armv7.pet|+pptp,+gtk+|PPTP VPN client gui, modified by jafadmin (see puppy forum)||||
-gtkdialog3-0.7.20-patriote-armv7|gtkdialog3|0.7.20-patriote-armv7||BuildingBlock|164K||gtkdialog3-0.7.20-patriote-armv7.pet|+gtk+|gtk gui for shell scripts||||
-gtkdialog4-0.8.0-armv7|gtkdialog4|0.8.0-armv7||BuildingBlock|192K||gtkdialog4-0.8.0-armv7.pet|+gtk+|gui for scripts, gtkdialog4 is thunors advanced version||||
-gtkdialog4_DOC-0.8.0-armv7|gtkdialog4_DOC|0.8.0-armv7||BuildingBlock|908K||gtkdialog4_DOC-0.8.0-armv7.pet||gui for scripts, thunors advanced version||||
 gwhere-0.2.3-patched_4-armv7|gwhere|0.2.3-patched_4-armv7||Filesystem|688K||gwhere-0.2.3-patched_4-armv7.pet|+gtk+|disk cataloger||||
 gwhere_DEV-0.2.3-patched_4-armv7|gwhere_DEV|0.2.3-patched_4-armv7||Filesystem|1160K||gwhere_DEV-0.2.3-patched_4-armv7.pet|+gwhere|disk cataloger||||
 gwhere_DOC-0.2.3-patched_4-armv7|gwhere_DOC|0.2.3-patched_4-armv7||Filesystem|20K||gwhere_DOC-0.2.3-patched_4-armv7.pet||disk calaloger||||
 gwhere_NLS-0.2.3-patched_4-armv7|gwhere_NLS|0.2.3-patched_4-armv7||Filesystem|656K||gwhere_NLS-0.2.3-patched_4-armv7.pet|+gwhere|disk cataloger||||
 ifplugd-0.28-static-armv7|ifplugd|0.28-static-armv7||BuildingBlock|136K||ifplugd-0.28-static-armv7.pet||detect network active, compiled statically||||

Changes to woof-distro/arm/debian/squeeze/DISTRO_PKGS_SPECS-debian-squeeze

@@ -272,11 +272,11 @@
 yes|jimtcl||exe,dev,doc,nls
 yes|jwm2||exe,dev,doc,nls
 yes|jwmconfig2||exe,dev,doc,nls
 yes|jwmthememaker||exe,dev,doc,nls
 no|kbd|kbd,console-data|exe,dev>exe,doc,nls| #dev>exe because of the include directory.
-yes|kbd||exe,dev,doc,nls
+no|kbd||exe,dev,doc,nls
 yes|keyutils|libkeyutils1|exe,dev>null,doc,nls
 yes|krb5|libkrb53,libkrb5-3,libkrb5-dev,libgssapi-krb5-2,libk5crypto3,libkrb5support0|exe,dev,doc,nls
 no|lame|lame,libmp3lame0,libmp3lame-dev|exe,dev,doc,nls
 no|lame||exe,dev,doc,nls
 yes|lcms|liblcms1,liblcms1-dev,liblcms-utils|exe,dev,doc,nls
@@ -376,10 +376,11 @@
 yes|libtiff5||exe,dev>null,doc,nls| #some apps in armv6 repo compiled in gentoo gap6 need this, debian squeeze has older lib.
 yes|libtool|libtool,autotools-dev|exe>dev,dev,doc,nls
 yes|libunique|libunique-1.0-0,libunique-dev|exe,dev,doc,nls
 yes|libunistring|libunistring0,libunistring-dev|exe,dev,doc,nls
 yes|libusb|libusb-0.1-4,libusb-dev|exe,dev,doc,nls
+yes|libusb1|libusb-1.0-0|exe,dev,doc,nls| #is it ok to have the dev headers for libusb0 only?
 no|libvisual|libvisual-0.4-0,libvisual-0.4-dev|exe,dev,doc,nls
 yes|libvorbis|libvorbis0a,libvorbis-dev,libvorbisenc2,libvorbisfile3|exe,dev,doc,nls
 yes|libvpx|libvpx0,libvpx-dev|exe,dev,doc,nls
 yes|libwavpack|libwavpack1,libwavpack-dev|exe,dev,doc,nls
 yes|libwmf|libwmf0.2-7,libwmf-dev|exe,dev,doc,nls
@@ -451,10 +452,11 @@
 yes|notecase||exe,dev,doc,nls
 yes|nspr|libnspr4-0d,libnspr4-dev|exe,dev,doc,nls| #using seamonkey pkg with these built-in.
 yes|nss|libnss3-1d,libnss3-dev|exe,dev,doc,nls
 yes|ntfs-3g|libntfs-3g75,libntfs-3g-dev|exe,dev,doc,nls
 yes|ntfsprogs|ntfsprogs,libntfs10,libntfs-dev|exe,dev,doc,nls
+yes|ntpdate||exe,dev,doc,nls| #needed by psync.
 yes|numlockx||exe| #needed by shinobars firstrun.
 no|obconf||exe,dev>null,doc,nls|+openbox
 yes|obmixer_tray||exe,dev,doc,nls| #alternative to retrovol.
 no|openbox||exe,dev>null,doc,nls
 yes|openjpeg|libopenjpeg2,libopenjpeg-dev|exe,dev,doc,nls
@@ -509,11 +511,12 @@
 yes|pixman|libpixman-1-0,libpixman-1-dev|exe,dev,doc,nls
 yes|pkgconfig|pkg-config|exe>dev,dev,doc,nls
 yes|pmetatagger||exe
 yes|pmirror||exe
 yes|pmirrorget||exe
-yes|pmusic||exe
+no|pmusic||exe,dev,doc,nls
+yes|pmusic1||exe,dev,doc,nls| #need use old version for ffmpeg less than or equal to 0.7.x --debian has 0.5.6.
 no|pmusic_THEME_pmusic_original||exe
 yes|pnethood||exe
 no|policykit|libpolkit2|exe,dev,doc,nls
 yes|poppler|libpoppler5,libpoppler-dev,poppler-utils,libpoppler-glib4,libpoppler-glib-dev|exe,dev,doc,nls
 yes|popt|libpopt0,libpopt-dev|exe,dev,doc,nls

Changes to woof-distro/arm/debian/squeeze/DISTRO_SPECS

@@ -1,14 +1,14 @@
 #One or more words that identify this distribution:
 DISTRO_NAME='Squeezed Arm Puppy'
 #version number of this distribution:
-DISTRO_VERSION=5.95
+DISTRO_VERSION=5.96
 #The distro whose binary packages were used to build this distribution:
 DISTRO_BINARY_COMPAT='debian'
 #Prefix for some filenames: exs: sqzdsave.2fs, sqzd-4.99.0.sfs
 DISTRO_FILE_PREFIX='sap6'
 #The version of the distro whose binary packages were used to build this distro:
 DISTRO_COMPAT_VERSION='squeeze'
 #the kernel pet package used:
-DISTRO_KERNEL_PET='linux_kernel-3.1.9-armv6-raspi-19apr2012.pet'
+DISTRO_KERNEL_PET='linux_kernel-3.1.9-sap6-raspi-27jun2012.pet'
 #read by /usr/bin to bypass Xorg Wizard at first boot:
 DISTRO_XORG_AUTO='yes'

Changes to woof-distro/arm/gentoo/gap6/DISTRO_PKGS_SPECS-gentoo-gap6

@@ -384,10 +384,11 @@
 yes|notecase||exe,dev,doc,nls
 yes|nss|nss|exe,dev,doc,nls
 yes|nspr|nspr|exe,dev,doc,nls
 yes|ntfs_3g||exe,dev,doc,nls|
 no|ntfsprogs|ntfsprogs|exe,dev,doc,nls
+yes|ntpdate||exe,dev,doc,nls| #needed by psync.
 no|obconf||exe,dev>null,doc,nls|+openbox
 no|ogle||exe,dev,doc,nls
 no|ogle_gui||exe,nls
 no|openbox||exe,dev>null,doc,nls
 yes|opencore-amr||exe,dev,doc,nls

Changes to woof-distro/arm/ubuntu/precise/DISTRO_PKGS_SPECS-ubuntu-precise

@@ -481,10 +481,11 @@
 no|notecase|notecase|exe,dev,doc,nls
 yes|nspr|libnspr4-0d,libnspr4-dev|exe,dev,doc,nls| #using seamonkey pkg with these built-in...
 yes|nss|libnss3-1d,libnss3-dev|exe,dev,doc,nls
 yes|ntfs-3g|ntfs-3g,ntfs-3g-dev|exe,dev,doc,nls
 yes|ntfsprogs|ntfsprogs,libntfs10,libntfs-dev|exe,dev,doc,nls
+yes|ntpdate||exe,dev,doc,nls| #needed by psync.
 yes|numlockx||exe,dev,doc,nls|
 no|obconf||exe,dev>null,doc,nls|+openbox
 no|openbox||exe,dev>null,doc,nls
 yes|openldap|libldap-2.4-2,libldap2-dev|exe,dev,doc,nls
 yes|openslp|libslp1,libslp-dev|exe,dev,doc,nls